#include "xfximpactentry.h"

XFxImpactEntry::XFxImpactEntry()
    : XAsset()
    , mNonFleshPtrs()
    , mNonFlesh()
    , mFleshPtrs()
    , mFlesh()
{
    
}

XFxImpactEntry::~XFxImpactEntry()
{
    
}

void XFxImpactEntry::Clear()
{
    mNonFleshPtrs.clear();
    mNonFlesh.clear();
    mFleshPtrs.clear();
    mFlesh.clear();
}

void XFxImpactEntry::ParseData(QDataStream *aStream)
{
    
}
